commit:     ee32cf6f82463a56516f58414cd33508e52ffba3
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Fri Nov  1 12:31:58 2019 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Fri Nov  1 12:31:58 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee32cf6f

media-sound/qsynth-9999: added live ebuild

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-sound/qsynth/qsynth-9999.ebuild | 76 +++++++++++++++++++++++++++++++++++
 1 file changed, 76 insertions(+)

diff --git a/media-sound/qsynth/qsynth-9999.ebuild 
b/media-sound/qsynth/qsynth-9999.ebuild
new file mode 100644
index 00000000000..327a19853a9
--- /dev/null
+++ b/media-sound/qsynth/qsynth-9999.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit desktop flag-o-matic qmake-utils xdg-utils git-r3 autotools
+
+DESCRIPTION="A Qt application to control FluidSynth"
+HOMEPAGE="https://qsynth.sourceforge.io/";
+EGIT_REPO_URI="https://git.code.sf.net/p/qsynth/code";
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+alsa debug jack pulseaudio"
+KEYWORDS=""
+
+BDEPEND="
+       dev-qt/linguist-tools:5
+"
+DEPEND="
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtwidgets:5
+       media-sound/fluidsynth:=[jack?,alsa?,pulseaudio?]
+"
+RDEPEND="${DEPEND}"
+
+REQUIRED_USE="|| ( alsa jack pulseaudio )"
+
+PATCHES=( "${FILESDIR}/${PN}-0.4.0-qt5-tagging.patch" )
+
+src_prepare() {
+       eautoreconf
+
+       default
+}
+
+src_configure() {
+       append-cxxflags -std=c++11
+       sed -e "/@gzip.*mandir)\/man1/d" -i Makefile.in || die
+       econf \
+               $(use_enable debug)
+
+       eqmake5 ${PN}.pro -o ${PN}.mak
+}
+
+src_install () {
+       emake DESTDIR="${D}" INSTALL_ROOT="${D}" install
+       einstalldocs
+
+       # The desktop file is invalid, and we also change the command
+       # depending on useflags
+       rm "${ED}/usr/share/applications/qsynth.desktop" || die
+
+       local cmd
+       if use jack; then
+               cmd="qsynth"
+       elif use pulseaudio; then
+               cmd="qsynth -a pulseaudio"
+       elif use alsa; then
+               cmd="qsynth -a alsa"
+       else
+               cmd="qsynth -a oss"
+       fi
+
+       make_desktop_entry "${cmd}" Qsynth qsynth
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to